Summary:       Help browser for the GNOME desktop
Name:          yelp
Version:       42.2
Release:       5%{?dist}
License:       LGPLv2+ and ASL 2.0 and GPLv2+
URL:           https://wiki.gnome.org/Apps/Yelp
Source0:       https://download.gnome.org/sources/%{name}/42/%{name}-%{version}.tar.xz

Patch3000:     0001-Center-new-windows.patch

BuildRequires: pkgconfig(gtk+-3.0) pkgconfig(libhandy-1) pkgconfig(liblzma) pkgconfig(libxml-2.0) pkgconfig(yelp-xsl)
BuildRequires: pkgconfig(libexslt) pkgconfig(libxslt) pkgconfig(sqlite3) pkgconfig(webkit2gtk-4.1)
BuildRequires: libunwind desktop-file-utils bzip2-devel gcc gettext-devel intltool itstool make

Requires:      libhandy libunwind yelp-xsl
Requires:      yelp-libs = %{version}-%{release}

%description
Yelp is the help browser for the GNOME desktop. It is designed to help you browse all the documentation on
your system in one central tool, including traditional man pages, info pages and documentation written in DocBook.

%package libs
Summary: Libraries for yelp

%description libs
This package contains libraries used by the yelp help browser.

%package devel
Summary: Development files for yelp-libs
Requires: %{name}-libs = %{version}-%{release}

%description devel
This package contains header files for the libraries in the yelp-libs package.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot}%{_libdir} -name '*.la' -delete

%find_lang %{name}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/yelp.desktop

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README.md
%{_bindir}/*
%{_datadir}/applications/yelp.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.yelp.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Yelp.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Yelp-symbolic.svg
%{_datadir}/metainfo/yelp.appdata.xml
%{_datadir}/yelp/
%{_datadir}/yelp-xsl/xslt/common/domains/yelp.xml

%files libs
%{_libdir}/libyelp.so.0*
%dir %{_libdir}/yelp
%dir %{_libdir}/yelp/web-extensions
%{_libdir}/yelp/web-extensions/libyelpwebextension.so

%files devel
%{_libdir}/libyelp.so
%{_includedir}/libyelp

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.2-5
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 24 2023 Xiaojie Chen <jackxjchen@tencent.com> - 42.2-4
- Rebuilt for webkitgtk 2.41.6

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.2-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 8 2022 Shuo Wang <abushwang@tencent.com> - 42.2-1
- initial build
